-- ******************************************************************
-- ******************************************************************
-- **                         MorgDKP                              **
-- ******************************************************************
-- ******************************************************************
--
--  You can blame most of this code on Morg(80%).  Rest thanks to Fryguy:)
--

local L = AceLibrary("AceLocale-2.2"):new("MorgDKP")

-------------------
-- Comm Stuffs
-------------------
function MorgDKP:PreMergePoints(raidval) 
	if raidval == "NONE" then return end
	local num = self.db.account.defaults.raidlist
	if num[2] == raidval then MorgDKP:MergePoints(DKP1)
	elseif num[3] == raidval then MorgDKP:MergePoints(DKP2)
	elseif num[4] == raidval then MorgDKP:MergePoints(DKP3)
	elseif num[5] == raidval then MorgDKP:MergePoints(DKP4)
	elseif num[6] == raidval then MorgDKP:MergePoints(DKP5)
	end
end


function MorgDKP:MergePoints(info)
	if not info.Timestamp then return end
		DEFAULT_CHAT_FRAME:AddMessage("Updating DKP Points..")
		self.db.account.Timestamp = info.Timestamp
	  for i,v in pairs(self.db.account.info) do
			self.db.account.info[i].points = 0
			self.db.account.info[i].raidloot = 0
			if not self.db.account.info[i].aliases then self.db.account.info[i].aliases = { } end
		end
		local count = 0
		for i,v in pairs(info.Points) do
			if not self.db.account.info[i] then self.db.account.info[i] = {  } end
			--DEFAULT_CHAT_FRAME:AddMessage(i.." and "..v)
			self.db.account.info[i].earned = info.Points[i].earn
			self.db.account.info[i].spent = info.Points[i].spent
			self.db.account.info[i].points = info.Points[i].bal
			self.db.account.info[i].raidloot = 0
			count = count + 1
			if self.db.account.info[i].aliases then 
	 			for m = 1, #self.db.account.info[i].aliases do
					if self.db.account.info[i].aliases[m].raid == self.db.account.defaults.raid then
						local alt = self.db.account.info[i].aliases[m].alt
						local mainpoints = self.db.account.info[i].points
						if not self.db.account.info[alt] then self.db.account.info[alt] = { } end
						self.db.account.info[alt].points = mainpoints
						self.db.account.info[alt].earned = self.db.account.info[i].earned
						self.db.account.info[alt].spent = self.db.account.info[i].spent
						self.db.account.info[alt].raidloot = 0
						DEFAULT_CHAT_FRAME:AddMessage("Added alias: "..alt.." of "..i.." with "..mainpoints.." DKP.")
	 				end
				end
			end
	 	end
		DEFAULT_CHAT_FRAME:AddMessage("Added "..tostring(count).." players from "..self.db.account.defaults.raid)	
end


