#!/usr/bin/perl

# $Id: morgdkp.pl,v 1.11 2006/07/10 18:49:35 dmitry Exp $

use LWP::Simple;
##########################################################################################################################################
###																	##
### To add a raid for DKP tracking simply insert the link for the correct DKP#  ie. if your raids are named MC1, MC2 in that order 	##
### MorgDKP will tell you which raid should be DKP1.											##
### Example MorgDKP output: MC1 = DKP1													##
###			    MC2 = DKP2													##
###			    BWL = DKP3													##
### So you would change the link for DKP1 to the url for your MC1 data, DKP2 link would be MC2 data, etc				##
### Note: You also need to uncomment the lines for each raid ie. remove the ### before DKP2 etc					        ##
### You can track a max of 5 raids:)													##
###																	##
##########################################################################################################################################
	
@pages = (
	{ title => "DKP1",		url => 'http://sodalityoftheconstant.com/mcdkp/listmembers.php?show=all' },
###	{ title => "DKP2",		url => 'http://sodalityoftheconstant.com/eqdkp/listmembers.php?show=all' },
###	{ title => "DKP3",		url => 'http://sodalityoftheconstant.com/bwldkp/listmembers.php?show=all' },
###	{ title => "DKP4",		url => 'http://sodalityoftheconstant.com/aqdkp/listmembers.php?show=all' },
###	{ title => "DKP5",		url => 'http://sodalityoftheconstant.com/bwldkp/listmembers.php?show=all' },
);

$|=1;
$i=0;
open F,">DKPInfo.lua";
foreach $pg (@pages) {
	$title=${$pg}{title};
	$url=${$pg}{url};
	print "Retriving ".(++$i).".$title \[$url\]...";
	if($page=get($url)) {
		$j=1;
		undef @table;
		print "OK\n";
		print "Parsing...";
		$page=~s/^.+<form method=\"post\" action=\"listmembers.php\?s=[^<]+<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">//s;
		$page=~s/^.+?<tr>.+?<\/tr>//s;
		$page=~s/^.+?<tr>.+?<\/tr>//s;
		while($page=~/<tr.*?>.*?<td.*?>.+?<\/td>.*?<td.*?>.+?<\/td>.*?<td.*?><a.*?>(.+?)<\/a><\/td>.*?<td.*?>(.+?)<\/td>.*?<td.*?>.+?<\/td>.*?<td.*?>(.+?)<\/td>.*?<td.*?>(.+?)<\/td>.*?<td.*?>(.+?)<\/td>.*?<td.*?>.+?<\/td>.*?<td.*?>(.+?)<\/td>.*?<td.*?>.+?<\/td>.*?<\/tr>/sg) {
	    	($nick,$rank,$class,$earned,$spent,$value)=($1,$2,$3,$4,$5,$6);
		    $nick=~s/<.*?>//g;
		    $class=lc($class);
		    $rank=~s/<.*?>//g;
		    $rank='' if $rank eq '&nbsp;';
	    	push @table,"$nick = {earn = $earned,spent = $spent,bal = $value}" if length $earned < 10;
			print $j++."..";
		}
		$j--;
		print "Done.\n\n";
		print F "$title = {\n\t";
		print F "Timestamp = 000000,\n\t";
		print F "Points = {\n\t\t";
		print F join(",\n\t\t",@table);
		print F "\n\t},\n}\n";
		
	} else {
		print "hren\n";
	}
}
close F;


